body {
  margin: 0;
  min-height: 100vh;
}

header {
  padding: 40px;
  text-align: center;
  position: absolute;
  width: 100%;
  top: 0;
}

#main-menu {
  padding-top: 20vh;
  height: 80vh;
  position: absolute;
}

.menu-content {
  text-align: center;
  padding: 40px;
}

.menu-buttons {
  display: flex;
  flex-direction: column;
  gap: 15px;

  margin-top: 20px;
}

footer{
  bottom: 0;
  position: absolute;
}

.home-page {
  display: flex;
  justify-content: center;
  align-items: center;

  background-image: url("../images/title_screen.jpg");
  background-size: cover;
  background-position: center;
  background-color: rgba(255, 255, 255, 0.4);
  background-blend-mode: lighten;
}

.placement-page {
    background-image: url("../images/title_screen.jpg");
    background-size: cover;
    background-position: center;
    background-color: rgba(255, 255, 255, 0.4);
    background-blend-mode: lighten;
}

#placement-container {
    padding-top: 150px;
    min-height: 100vh;

    display: flex;
    flex-direction: column;
    align-items: center;
}

.placement-info {
    text-align: center;
    margin-bottom: 20px;
}

.placement-info h2 {
    margin-bottom: 10px;
}

.board-container {
    margin: 20px 0;
}

#player-board, #enemy-board {
    border-collapse: collapse;
}

#player-board td, #enemy-board td {
    width: 50px;
    height: 50px;
    border: 1px solid black;
    background-color: lightskyblue;;
    cursor: pointer;
}

#player-board td:hover, #enemy-board td:hover {
    background-color: rgba(135, 206, 250, 0.9);
}

.placement-controls {
    display: flex;
    gap: 15px;
    margin-top: 20px;
}

.placement-controls button {
    padding: 10px 20px;
    cursor: pointer;
    background-color: #08c4f3; 
}

.menu-buttons button {
    padding: 10px 20px;
    cursor: pointer;
    background-color: #08c4f3; 
}

#player-board td.ship, #enemy-board td.ship {
    background-color: gray;
}
#player-board td.hit, #enemy-board td.hit {
    background-color: red;
}

#player-board td.miss, #enemy-board td.miss {
    background-color: white;
}

.battle-page {
    background-image: url("../images/title_screen.jpg");
    background-size: cover;
    background-position: center;
    background-color: rgba(255, 255, 255, 0.4);
    background-blend-mode: lighten; 
  
}

 header {
    text-align: center;
    margin: 20px 0;
}



#battle-container {
    padding-top: 150px;
    display: flex;
    justify-content: center;
    gap: 50px;
}

#game-info {
    text-align: center;
    margin-bottom: 20px;
}


@media screen and (max-width: 576px) {

    header h1 {
        font-size: 2rem;
    }

    .main-menu-content h2 {
        font-size: 1.8rem;
    }

    .main-menu-content p {
        font-size: 1rem;
        padding: 0 1rem;
    }

    .menu-buttons {
        width: 90%;
        margin: 0 auto;
    }

    .menu-buttons .btn {
        width: 100%;
        margin-bottom: 1rem;
    }

    #main-menu {
        padding: 2rem 1rem;
        text-align: center;
    }

    #placement-section {
        padding-top: 120px;
    }

    #player-board td {
        width: 28px;
        height: 28px;
    }

    .controls {
        flex-direction: column;
        width: 90%;
    }

    .controls button {
        width: 100%;
    }

    #battle-container {
    flex-direction: column;
    align-items: center;
    padding-top: 120px;
}

#player-board td,
#enemy-board td {
    width: 28px;
    height: 28px;
}

}




@media screen and (min-width: 577px) and (max-width: 1024px) {

    header h1 {
        font-size: 3rem;
    }

    .main-menu-content h2 {
        font-size: 2.5rem;
    }

    .menu-buttons {
        width: 70%;
        margin: 0 auto;
    }

    .menu-buttons .btn {
        width: 100%;
        margin-bottom: 1rem;
    }

      #player-board td {
        width: 40px;
        height: 40px;
    }

    #battle-container {
    gap: 25px;
}

#player-board td,
#enemy-board td {
    width: 40px;
    height: 40px;
}
}


@media screen and (min-width: 1025px) {

    .menu-buttons {
        width: 400px;
        margin: 0 auto;
    }

    .menu-buttons .btn {
        width: 100%;
        margin-bottom: 1rem;
    }

    #battle-container {
    gap: 75px;
}
}